<!-- <div class="col-12  px-2"> -->

<div class="flex align-items-center justify-content-between gap-3 px-2 mb-2">
    <div>

        <p-avatar icon="pi pi-bars" size="large" shape="circle"
            styleClass="text-base bg-indigo-100 text-indigo-700"></p-avatar>
        <span class="text-xl ml-2">Progress Note</span>
    </div>

    <div>
        <i pRipple class="pi pi-file cursor-pointer card styled-box-purple p-2 focus:tw-outline-none focus:tw-ring focus:tw-ring-violet-300 hover:tw--translate-y-1 
        hover:tw-scale-110 tw-duration-200" style="color: slateblue" (click)="getProgressNote()"></i>

    </div>
</div>
<div class="border-round overflow-hidden surface-200 mb-2" style="height:.2rem">
    <div class="h-full bg-indigo-200 w-full"></div>
</div>

<div class="flex">
    <div class="flex tw-flex-col tw-w-full">
        <div class="p-inputgroup tw-rounded-none">
            <span class="p-inputgroup-addon  tw-rounded-none p-2">S :</span>
            <input type="text" pInputText [(ngModel)]="progressValueS" name="xx" placeholder="" autocomplete="off"     class="p-inputtext-sm w-full"  (keydown.enter)="addProgressNote('S')">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"    (click)="addProgressNote('S')"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">O :</span>
            <input type="text" pInputText [(ngModel)]="progressValueO" placeholder="" class="p-inputtext-sm w-full"  (keydown.enter)="addProgressNote('O')">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"     (click)="addProgressNote('O')"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">A :</span>
            <input type="text" pInputText [(ngModel)]="progressValueA" placeholder="" class="p-inputtext-sm w-full"  (keydown.enter)="addProgressNote('A')">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"   (click)="addProgressNote('A')"></i></span>
        </div>
        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">P :</span>
            <input type="text" pInputText [(ngModel)]="progressValueP" placeholder="" class="p-inputtext-sm w-full"  (keydown.enter)="addProgressNote('P')">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"  (click)="addProgressNote('P')"></i></span>
        </div>

        <div class="p-inputgroup">
            <span class="p-inputgroup-addon p-2">N :</span>
            <input type="text" pInputText [(ngModel)]="progressValueN" placeholder="" class="p-inputtext-sm w-full"  (keydown.enter)="addProgressNote('N')">
            <span class="p-inputgroup-addon p-2"><i class="pi pi-plus" style="line-height: 1.25;"    (click)="addProgressNote('N')"></i></span>
        </div>
        <div class="mt-2 p-1 flex w-full align-items-center bg-green-100 tw-rounded">
            <span class="bg-green-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-check text-xs"></i>
            </span>
            <span class="text-green-500 text-sm">รายการที่เพิ่ม</span>
            <!-- <button (click)="sendDataToParent()">Send Data to Parent</button> -->
        </div>

        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">S:
            <p-chip *ngFor="let item of progress_note_subjective" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label,'S')" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">O:
            <p-chip *ngFor="let item of progress_note_objective" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label,'O')" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">A:
            <p-chip *ngFor="let item of progress_note_assertment" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label,'A')" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">P:
            <p-chip *ngFor="let item of progress_note_plan" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label,'P')" class="text-sm p-0"></p-chip>
        </div>
        <div class="flex align-items-center gap-2 flex-wrap mt-2 p-0">N:
            <p-chip *ngFor="let item of progress_note" label="{{item.label}}" [removable]="true"
                (onRemove)="removeProgressNote(item.label,'N')" class="text-sm p-0"></p-chip>
        </div>
        <!-- <div class="mt-2 p-1 flex w-max align-items-center bg-blue-100 tw-rounded">
            <span class="bg-blue-500 text-white flex align-items-center justify-content-center border-circle mr-2 p-1">
                <i class="pi pi-book text-xs"></i>
            </span>
            <span class="text-blue-500 text-sm">Progess Note [ ก่อนหน้านี้ ]</span>
        </div> -->

        <!-- <div class="flex align-items-center gap-2 flex-wrap mt-2">
           
            <p-chip label="Thriller" [removable]="true" class="text-sm"></p-chip>
        </div> -->

    </div>
</div>
<p-sidebar styleClass="w-full md:w-12 lg:w-8 xl:w-8" [(visible)]="sidebarVisible2" position="right">
    <div>

        <button pButton pRipple type="button" icon="pi pi-bookmark" label="เลือกโรค" class="p-button-outlined"
            (click)="showDx = true"></button>
    </div>
    <div class="flex">
        <div class="flex flex-col w-full bg-slate-50  h-100 mt-2">
            <p-progressSpinner ariaLabel="loading" *ngIf="dxLoading"></p-progressSpinner>
            <div *ngIf="showDx" class="flex flex-wrap gap-2 w-full">
                <div class="flex align-items-center gap-2 flex-wrap mt-2">
                    <p-chip *ngFor="let item of dxData" label="{{item.name}}" 
                        (click)="dxlistClick(item.id,item.name);" 
                        class="text-sm"></p-chip>
                </div>
            </div>
        </div>
        <div>
            <h3>Standing Order Name : {{dxName}}</h3>
        </div>
        <div *ngIf="!showDx" class="flex">

            
            <!-- Subjective -->
            <div class="card">
                <h3>Progress Note </h3>
                <h5>Subjective</h5>
                <div *ngFor="let sub of optionSubjective">
                    <p-checkbox  [value]="sub.progress_note" [inputId]="'checkbox_' + sub.id" (onChange)="optionSubjectClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.progress_note }}</label>
                </div>
                <!-- Objective -->
                <h5>Objective</h5>
                <div *ngFor="let sub of optionObjective">
                    <p-checkbox  [value]="sub.progress_note" [inputId]="'checkbox_' + sub.id" (onChange)="optionObjectClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.progress_note }}</label>
                </div>
                <!-- Assessment -->
                <h5>Assessment</h5>
                <div *ngFor="let sub of optionsAssessment">
                    <p-checkbox  [value]="sub.progress_note" [inputId]="'checkbox_' + sub.id" (onChange)="optionAssessmentClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.progress_note }}</label>
                </div>
                <!-- Plan -->
                <h5>Plan</h5>
                <div *ngFor="let sub of optionPlan">
                    <p-checkbox  [value]="sub.progress_note" [inputId]="'checkbox_' + sub.id" (onChange)="optionPlanClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.progress_note }}</label>
                </div>
            </div>
            <!-- order oneDay -->
            <div class="card">
                <h3>ORDER Oneday </h3>
                <div *ngFor="let sub of orderOneday">
                    <p-checkbox  [value]="sub.id" [inputId]="'checkbox_' + sub.id" (onChange)="optionOrderOnedayClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.item_name }}</label>
                </div>
            </div>
            <!-- order contines -->
            <div class="card">
                <h3>ORDER Continue </h3>
                <div *ngFor="let sub of orderContine">
                    <p-checkbox  [value]="sub.id" [inputId]="'checkbox_' + sub.id" (onChange)="optionOrderContineClick($event)"></p-checkbox>
                    <label [for]="'checkbox_' + sub.id">{{ sub.item_name }}</label>
                </div>
            </div>

        </div>
        <div>
            <div class="flex justify-center content-center mb-2 mr-3 mt-4">
                <button nz-button nzType="primary" (click)="saveStandingOrder()">
                    <!-- <i class="fas fa-save"></i>&nbsp; -->
                    บันทึก
                </button>&nbsp;&nbsp;
                <button nz-button>
                    <!-- <i class="fas fa-save"></i>&nbsp; -->
                    ยกเลิก
                </button>
            </div>
        </div>

    </div>
</p-sidebar>